.aolei-sidebanner {
    position: relative;
}

.aolei-sidebanner img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: top;
    aspect-ratio: 1920/840;
}

.aolei-sidebanner .title-box {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    background: rgba(0, 0, 0, 0.60);
}

.aolei-sidebanner-title,
.aolei-sidebanner-subTitle {
    color: #FFF;
    font-family: var(--title-font-family);
    font-size: var(--font-56);
    font-weight: 400;
    line-height: normal;
    margin-left: 13%;
}

.aolei-sidebanner-subTitle {
    font-size: var(--font-24);
    letter-spacing: -0.84px;
    margin-top: 10px;
}

@media (max-width: 992px) {

    .aolei-sidebanner-title,
    .aolei-sidebanner-subTitle {
        margin-left: 0;
    }
}

.aolei_solution_read {
    padding: var(--component-gap) 0;
    background: var(--bg-color);
}

.aolei_solution_read .solution-title {
    font-size: var(--font-40);
    font-weight: 400;
    line-height: normal;
    font-family: var(--title-font-family);
    color: var(--title-text-color);
    text-align: center;
    margin-bottom: var(--gap-50);
}

.aolei_solution_read .gap-80 {
    margin-bottom: var(--component-gap);
}

/* material */
.aolei_solution_read .solution-material-list {
    position: relative;
}

.aolei_solution_read .solution-material-list .swiper {
    width: 100%;
    height: 100%;
}

.aolei_solution_read .solution-material-list .swiper-slide {
    position: relative;
    aspect-ratio: 335/465;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    background-color: #F7F8FA;
    overflow: hidden;
    padding: 12px 20px;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    gap: 8px;
}

.aolei_solution_read .solution-material-list .swiper-slide::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.20);
    pointer-events: none;
    z-index: 1;
}

.aolei_solution_read .material-item-title {
    font-size: var(--font-18);
    font-weight: 400;
    line-height: normal;
    font-family: var(--title-font-family);
    color: #EEE;
    text-shadow: 0 4px 4px rgba(0, 0, 0, 0.25);
    z-index: 2;
}

.aolei_solution_read .material-item-desc {
    font-size: var(--font-16);
    font-weight: 400;
    line-height: normal;
    font-family: var(--font-family);
    color: #EEE;
    text-shadow: 0 4px 4px rgba(0, 0, 0, 0.25);
    max-height: 0;
    opacity: 0;
    overflow: hidden;
    transition: all 0.3s ease;
    z-index: 2;
}

.aolei_solution_read .solution-material-list .swiper-slide:hover .material-item-desc {
    max-height: 400px;
    opacity: 1;
}

.aolei_solution_read .swiper-pagination {
    position: relative;
    bottom: -10px !important;
}

.aolei_solution_read .swiper-pagination .swiper-pagination-bullet-active {
    background: #000;
}

/* recommended */
.aolei_solution_read .solution-recommended-list .swiper {
    width: 100%;
    height: 100%;
    padding: 16px;
    background: #F8F8F8;
}

.aolei_solution_read .solution-recommended-list img {
    width: 100%;
    aspect-ratio: 5/4;
    object-fit: cover;
    object-position: center;
}

.aolei_solution_read .solution-recommended-list .recommended-item-title {
    font-size: var(--font-16);
    font-weight: 400;
    line-height: normal;
    font-family: var(--font-family);
    color: #000;
    text-align: center;
    margin-top: 8px;
}

/* advantage */
.aolei_solution_read .advantage-item {
    width: 100%;
    height: 100%;
    display: flex;
}

.aolei_solution_read .advantage-item:nth-child(odd) {
    flex-direction: row-reverse;
}

.aolei_solution_read .advantage-item:nth-child(odd) .advantage-item-content {
    padding-right: 3%;
}

.aolei_solution_read .advantage-item:nth-child(even) .advantage-item-content {
    padding-left: 3%;
}

.aolei_solution_read .advantage-item img {
    width: 50%;
    aspect-ratio: 5/3;
    object-fit: cover;
    object-position: center;
}

.aolei_solution_read .advantage-item .advantage-item-content {
    width: 50%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 24px;
}

.aolei_solution_read .advantage-item .advantage-item-title {
    font-size: var(--font-20);
    font-weight: 700;
    line-height: normal;
    font-family: var(--font-family);
    color: var(--color-primary);
}

.aolei_solution_read .advantage-item .advantage-item-title::before {
    content: '';
    width: 8px;
    height: 8px;
    background: var(--color-primary);
    border-radius: 50%;
    display: inline-block;
    margin-right: 12px;
    vertical-align: middle;
}

.aolei_solution_read .advantage-item .advantage-item-desc {
    padding-left: 40px;
}

.aolei_solution_read .advantage-item .advantage-item-desc li {
    font-size: var(--font-14);
    font-weight: 400;
    line-height: 2.143;
    font-family: var(--font-family);
    color: #333;
    list-style: disc;
    list-style-position: outside;
    margin-bottom: 12px;
    word-wrap: break-word;
}

@media screen and (max-width: 576px) {
    .aolei_solution_read .advantage-item:nth-child(n) {
        flex-direction: column;
        padding: 0;
    }

    .aolei_solution_read .advantage-item img {
        width: 100%;
    }

    .aolei_solution_read .advantage-item:nth-child(n) .advantage-item-content {
        width: 100%;
        padding: 20px 0;
    }
}

/* video */
.aolei_solution_read .video-container {
    width: 100%;
    aspect-ratio: 1400/563;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    overflow: hidden;
    background-color: #000;
}

.aolei_solution_read .video-content {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    background: rgba(0, 0, 0, 0.50);
}

@media (max-width: 992px) {
    .aolei_solution_read .video-container a svg {
        width: 50px;
        height: 50px;
    }
}

/* resources */
.aolei_solution_read .solution-resources {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.aolei_solution_read .resources-content {
    width: 60%;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.aolei_solution_read .resources-content-tip {
    font-size: var(--font-18);
    font-weight: 400;
    line-height: normal;
    font-family: var(--title-font-family);
    color: #999;
}

.aolei_solution_read .resources-content-title {
    font-size: var(--font-24);
    font-weight: 400;
    line-height: normal;
    font-family: var(--title-font-family);
    color: #333;
    letter-spacing: -0.84px;
    margin-top: 12px;
    margin-bottom: 9px;
}

.aolei_solution_read .resources-content-desc {
    font-size: var(--font-16);
    font-weight: 400;
    line-height: normal;
    font-family: var(--font-family);
    color: #666;
    margin-bottom: 90px;
}

.aolei_solution_read .resources-input-wrapper {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    align-items: stretch;
    gap: 12px;
    position: relative;
}

.aolei_solution_read .resources-input-wrapper .crmFormVali-error {
    top: calc(100% + 3px);
    left: 20px;
    right: auto;
}

.aolei_solution_read .resources-input {
    flex: 1;
    padding: 12px 20px;
    border: 1px solid #D8D8D8;
    font-size: var(--font-16);
    font-weight: 400;
    line-height: normal;
}

.aolei_solution_read .resources-input::placeholder {
    font-size: var(--font-16);
    font-weight: 400;
    line-height: normal;
    font-family: var(--font-family);
    color: #666;
}

.aolei_solution_read .resources-submit {
    padding: 10px 20px;
    font-family: var(--font-family);
    font-size: var(--font-16);
    font-weight: 700;
    line-height: normal;
    color: #FFF;
    background: var(--color-primary);
    cursor: pointer;
    transition: all 0.3s ease;
}

.aolei_solution_read .resources-submit:hover {
    background: var(--btn-hover);
}

.aolei_solution_read .solution-resources .resources-img {
    width: 30%;
    aspect-ratio: 370/479;
    object-fit: cover;
    object-position: center;
}

@media (max-width: 576px) {
    .aolei_solution_read .solution-resources {
        flex-direction: column-reverse;
        align-items: center;
    }

    .aolei_solution_read .resources-content {
        width: 100%;
    }

    .aolei_solution_read .solution-resources .resources-img {
        width: 50%;
    }

    .aolei_solution_read .resources-content-desc {
        margin-bottom: 12px;
    }
}

/* config */
.aolei_solution_read .solution-config-list .swiper {
    width: 100%;
    height: 100%;
    padding: 16px;
    background: #F8F8F8;
}

.aolei_solution_read .solution-config-list img {
    width: 100%;
    aspect-ratio: 1/1;
    object-fit: cover;
    object-position: center;
}

.aolei_solution_read .solution-config-list .config-item-title {
    font-size: var(--font-16);
    font-weight: 400;
    line-height: normal;
    font-family: var(--font-family);
    color: #000;
    text-align: center;
    margin-top: 8px;
}